Bug 450713 - Review Request: virt-mem - Management tools for virtual machines
Review Request: virt-mem - Management tools for virtual machines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 11:51 EDT by Richard W.M. Jones
Modified: 2008-09-15 05:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 05:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-06-10 11:51:57 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-mem.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-mem-0.2.4-1.fc10.src.rpm
Description: Management tools for virtual machines

These are a collection of monitoring and management tools for virtual
machines.

Commands we support at the moment include:

  virt-uname      'uname' command, shows OS version, architecture, etc.
  virt-dmesg      'dmesg' command, shows kernel messages

The general idea is that they allow you to monitor virtual machines
without needing to log in to the machine itself or install any extra
software inside the virtual machine.  At the moment we only support
virtual machines running Linux kernel >= 2.6, but we expect to support
other operating systems in the future.

The commands use libvirt to access the underlying virtualization
system, so we support a variety of different systems such as Xen, QEMU
and KVM, and more can be added just by adding support to libvirt.
Comment 1 Richard W.M. Jones 2008-06-10 11:53:09 EDT
rpmlint output:
virt-mem.x86_64: W: executable-stack /usr/bin/virt-dmesg
virt-mem.x86_64: W: executable-stack /usr/bin/virt-uname

This is fixed, but waiting on upstream (bug 450551)
Comment 2 Richard W.M. Jones 2008-06-10 11:53:42 EDT
Package file listing:

/usr/bin/virt-dmesg
/usr/bin/virt-uname
/usr/share/doc/virt-mem-0.2.4
/usr/share/doc/virt-mem-0.2.4/COPYING
/usr/share/doc/virt-mem-0.2.4/ChangeLog
/usr/share/doc/virt-mem-0.2.4/README
/usr/share/locale/ja/LC_MESSAGES/virt-mem.mo
/usr/share/locale/pl/LC_MESSAGES/virt-mem.mo
/usr/share/locale/pt_BR/LC_MESSAGES/virt-mem.mo
/usr/share/man/man1/virt-dmesg.1.gz
/usr/share/man/man1/virt-mem.1.gz
/usr/share/man/man1/virt-uname.1.gz

Comment 3 Richard W.M. Jones 2008-06-10 11:55:31 EDT
Package requires:

rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libdl.so.2()(64bit)  
libdl.so.2(GLIBC_2.2.5)(64bit)  
libm.so.6()(64bit)  
libm.so.6(GLIBC_2.2.5)(64bit)  
libvirt.so.0()(64bit)  

Comment 4 Richard W.M. Jones 2008-08-07 05:18:21 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-mem.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-mem-0.2.8-1.fc10.src.rpm

* Thu Aug  7 2008 Richard W.M. Jones <rjones@redhat.com> - 0.2.8-1
- New upstream version.
Comment 5 Richard W.M. Jones 2008-08-07 06:11:27 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-mem.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-mem-0.2.8-2.fc10.src.rpm

* Thu Aug  7 2008 Richard W.M. Jones <rjones@redhat.com> - 0.2.8-2
- Add missing BR ocaml-camlp4-devel.
Comment 6 Richard W.M. Jones 2008-08-07 06:29:57 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-mem.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-mem-0.2.8-3.fc10.src.rpm

* Thu Aug  7 2008 Richard W.M. Jones <rjones@redhat.com> - 0.2.8-3
- Add missing BR ocaml-xmlrpc-light-devel.
Comment 7 Richard W.M. Jones 2008-08-07 07:13:26 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-mem.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-mem-0.2.9-1.fc10.src.rpm

* Thu Aug  7 2008 Richard W.M. Jones <rjones@redhat.com> - 0.2.9-1
- New upstream release 0.2.9:
- Fixes 64 bit builds.
- Fixes builds on Fedora 8.
Comment 8 Richard W.M. Jones 2008-08-07 08:37:47 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/virt-mem.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/virt-mem-0.2.9-3.fc10.src.rpm

* Thu Aug  7 2008 Richard W.M. Jones <rjones@redhat.com> - 0.2.9-3
- Added missing indirect BRs for ocaml-xmlrpc-light-devel.
- Added missing BR ocaml-pcre-devel.

Finally I've got a complete list of BRs, and have been able to do
a Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=764557
Comment 9 Jan ONDREJ 2008-08-10 09:27:22 EDT
Does not build in my F8 mock:
ERROR: Bad build req: No Package Found for ocaml-bitstring-devel >= 1.9.7. 

Also does not work on my F8 xen machine:
[root@vs1 ~]# virt-uname 
Fatal error: exception Failure("Domain-0: use -W to define word size for this image")

Is it possible to make it usable for current stable xen distribution (F8)?
Comment 10 Richard W.M. Jones 2008-08-10 10:23:46 EDT
(In reply to comment #9)
> Does not build in my F8 mock:
> ERROR: Bad build req: No Package Found for ocaml-bitstring-devel >= 1.9.7. 

I think it will work if you install ocaml-bitstring 1.9.7 from F8 updates-testing:
https://admin.fedoraproject.org/updates/F8/FEDORA-2008-6564

> Also does not work on my F8 xen machine:
> [root@vs1 ~]# virt-uname 
> Fatal error: exception Failure("Domain-0: use -W to define word size for this
> image")

Currently it doesn't detect architectures correctly.  Very easy to fix, and will be done
in a future release, but in the meantime you need to do, for example:

  virt-uname -A i386 -T i386

> Is it possible to make it usable for current stable xen distribution (F8)?

It should build on F8 with the updated ocaml-bitstring.  Here is an F8 package
for x86-64 that I just built on an F8 machine:

  http://www.annexia.org/tmp/virt-mem-0.2.9-3.fc8.x86_64.rpm
  http://www.annexia.org/tmp/virt-mem-0.2.9-3.fc8.src.rpm

By the way, for general build/usage questions, you might want to post
to this list:

  http://www.redhat.com/mailman/listinfo/et-mgmt-tools
Comment 11 Richard W.M. Jones 2008-08-10 10:25:38 EDT
(In reply to comment #9)
> Is it possible to make it usable for current stable xen distribution (F8)?

Sorry, I also notice that you're using Xen.  At the moment libvirt only
supports memory peeking for KVM guests.  We plan to implement
this for Xen too (it is, after all, relatively simple to do under Xen), but
there is no support in libvirt right at the moment.
Comment 12 Jan ONDREJ 2008-08-10 10:38:44 EDT
(In reply to comment #10)
> (In reply to comment #9)
> I think it will work if you install ocaml-bitstring 1.9.7 from F8
> updates-testing:
> https://admin.fedoraproject.org/updates/F8/FEDORA-2008-6564

I think you should request move to stable for this package.
It's harder to install this in my mock environment.

> Currently it doesn't detect architectures correctly.  Very easy to fix, and
> will be done
> in a future release, but in the meantime you need to do, for example:
> 
>   virt-uname -A i386 -T i386

OK. As I am using xen, this does not help.

> By the way, for general build/usage questions, you might want to post
> to this list:

I can build it, just if package need to be approved, it must build in mock/koji. I think we need this for F8 too.

I am interested in this package only if it will work for F8 xen.
Although reviewer not must test package functionality, my interests are different.

If you patch it to work with xen paravirtualized guests, please let me know and I will make a review.
Comment 13 Richard W.M. Jones 2008-08-10 10:43:59 EDT
Xen support needs changes to libvirt.

virt-mem itself won't be affected - it just uses the virDomainMemoryPeek[1]
call from libvirt and hence just uses whatever libvirt supports.

[1] http://libvirt.org/html/libvirt-libvirt.html#virDomainMemoryPeek
Comment 14 Jason Tibbitts 2008-08-10 14:10:59 EDT
Is Peter actually reviewing this package?  It's assigned to him but he's made no comments and the fedora-review flag is empty.
Comment 15 Richard W.M. Jones 2008-08-10 17:06:34 EDT
(In reply to comment #14)
> Is Peter actually reviewing this package?  It's assigned to him but he's made
> no comments and the fedora-review flag is empty.

I swapped Peter for a couple of his bugs, but those are stalled
because I couldn't build them in Rawhide.

Feel free to take over this review if you feel inclined :-)
Comment 16 Jason Tibbitts 2008-08-10 17:44:31 EDT
Well, if I actually check the bug history, I see that he just took this ticket on Friday, and I certainly shouldn't be complaining about non-response after two days.
Comment 17 Peter Robinson 2008-08-11 06:26:17 EDT
Yes, I'll be reviewing it today. I meant to on Friday but ran out of time and was away from computers for the weekend.
Comment 18 Peter Robinson 2008-08-11 18:37:58 EDT
+ rpmlint output

rpmlint -i virt-mem-0.2.9-3.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  67eeb7bd7bc519a8adadc976e660791c  virt-mem-0.2.9.tar.gz
+ package successfully builds on at least one architecture
  tested on x86_64 using mock
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock
n/a the package should build into binary RPMs on all supported architectures
+ review should test the package functions as described (basic testing using kvm)
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 19 Richard W.M. Jones 2008-08-12 03:43:37 EDT
Peter:

Unless I missed something, that's all fine right?

If so you need to add a comment saying the package is approved,
and set the fedora-review flag to '+'.  If not, please let me
know what's wrong :-)

I'm keeping an eye on your two bugs, and will take them up again
once you add a comment saying that they have been fixed to build
on Rawhide.
Comment 20 Peter Robinson 2008-08-12 04:07:05 EDT
Hi Richard,

Yes, I know :-) I just wanted to check a couple of things this morning that I wasn't sure about.... which I've now done. So package approved :-)

Cheers,
Peter
Comment 21 Richard W.M. Jones 2008-08-12 04:24:55 EDT
Excellent, thank you Peter for your hard work.

CVS admin request coming up in 3 ... 2 ... 1 ...
Comment 22 Richard W.M. Jones 2008-08-12 04:27:23 EDT
New Package CVS Request
=======================
Package Name: virt-mem
Short Description: Management tools for virtual machines
Owners: rjones
Branches: F-8 F-9
InitialCC: rjones
Cvsextras Commits: yes
Comment 23 Kevin Fenzi 2008-08-12 13:10:37 EDT
cvs done.
Comment 24 Peter Robinson 2008-09-15 05:35:35 EDT
Package in rawhide. Closing

Note You need to log in before you can comment on or make changes to this bug.